> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /rues/companies

> Get a Colombian company record from RUES by internal id, NIT or registration number

**Price:** 1 credit

**⚠️ Common errors:** 412: No RUES record found for the given identifier



## OpenAPI

````yaml /openapi/company-registries.json post /api/rues/companies
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/rues/companies:
    post:
      tags:
        - /rues
      summary: /rues/companies
      description: >-
        Get a Colombian company record from RUES by internal id, NIT or
        registration number


        **Price:** 1 credit


        **⚠️ Common errors:** 412: No RUES record found for the given identifier
      operationId: __api_rues_companies_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RuesCompanyPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RuesCompany'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RuesCompanyPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        id:
          anyOf:
            - type: string
            - type: 'null'
        nit:
          anyOf:
            - type: string
            - type: 'null'
        matricula:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    RuesCompany:
      properties:
        '@type':
          type: string
          default: RuesCompany
        id:
          type: string
        chamber_code:
          anyOf:
            - type: string
            - type: 'null'
        chamber:
          anyOf:
            - type: string
            - type: 'null'
        registration_number:
          anyOf:
            - type: string
            - type: 'null'
        name:
          type: string
        sigla:
          anyOf:
            - type: string
            - type: 'null'
        identification_class:
          anyOf:
            - type: string
            - type: 'null'
        nit:
          anyOf:
            - type: string
            - type: 'null'
        identification_number:
          anyOf:
            - type: string
            - type: 'null'
        dv:
          anyOf:
            - type: string
            - type: 'null'
        ciiu_primary_code:
          anyOf:
            - type: string
            - type: 'null'
        ciiu_primary_description:
          anyOf:
            - type: string
            - type: 'null'
        ciiu_secondary_code:
          anyOf:
            - type: string
            - type: 'null'
        ciiu_secondary_description:
          anyOf:
            - type: string
            - type: 'null'
        ciiu3_code:
          anyOf:
            - type: string
            - type: 'null'
        ciiu3_description:
          anyOf:
            - type: string
            - type: 'null'
        ciiu4_code:
          anyOf:
            - type: string
            - type: 'null'
        ciiu4_description:
          anyOf:
            - type: string
            - type: 'null'
        registration_date:
          anyOf:
            - type: string
            - type: 'null'
        renewal_date:
          anyOf:
            - type: string
            - type: 'null'
        last_renewed_year:
          anyOf:
            - type: string
            - type: 'null'
        validity_date:
          anyOf:
            - type: string
            - type: 'null'
        cancellation_date:
          anyOf:
            - type: string
            - type: 'null'
        cancellation_reason:
          anyOf:
            - type: string
            - type: 'null'
        company_type_code:
          anyOf:
            - type: string
            - type: 'null'
        company_type:
          anyOf:
            - type: string
            - type: 'null'
        legal_organization:
          anyOf:
            - type: string
            - type: 'null'
        registration_category:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
        is_social_enterprise:
          type: boolean
          default: false
        is_law_1780:
          type: boolean
          default: false
        is_bic_company:
          type: boolean
          default: false
        is_transport:
          type: boolean
          default: false
        has_asset_forfeiture:
          type: boolean
          default: false
        certificate_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````